summaryrefslogtreecommitdiffstats
path: root/libraries
diff options
context:
space:
mode:
author Jeffrey T. Read <bitwize@gmail.com>2015-07-22 09:12:19 +0700
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2015-07-22 09:12:19 +0700
commit075ead623136e5e58ebd1c71e040404458b8ad49 (patch)
tree5ed2611e3c38b5519ac8e9ddcad4ad9b313cb898 /libraries
parent2ee31c9eff3965513bea183a2173492879e4234b (diff)
downloadslackbuilds-075ead623136e5e58ebd1c71e040404458b8ad49.tar.gz
slackbuilds-075ead623136e5e58ebd1c71e040404458b8ad49.tar.xz
libraries/glfw3: Added (OpenGL framework).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'libraries')
-rw-r--r--libraries/glfw3/README12
-rw-r--r--libraries/glfw3/glfw3.SlackBuild96
-rw-r--r--libraries/glfw3/glfw3.info10
-rw-r--r--libraries/glfw3/slack-desc19
4 files changed, 137 insertions, 0 deletions
diff --git a/libraries/glfw3/README b/libraries/glfw3/README
new file mode 100644
index 0000000000..7f0a4e39d9
--- /dev/null
+++ b/libraries/glfw3/README
@@ -0,0 +1,12 @@
+GLFW is a free, Open Source, multi-platform library for opening a
+window, creating an OpenGL context and managing input. It is easy to
+integrate into existing applications and does not lay claim to the
+main loop.
+
+GLFW is written in C and has native support for Windows, Mac OS X and
+many Unix-like systems using the X Window System, such as Linux and
+FreeBSD.
+
+GLFW is licensed under the zlib/libpng license.
+
+This is version 3 of GLFW with an incompatible API to GLFW 2.
diff --git a/libraries/glfw3/glfw3.SlackBuild b/libraries/glfw3/glfw3.SlackBuild
new file mode 100644
index 0000000000..d1b41ad62f
--- /dev/null
+++ b/libraries/glfw3/glfw3.SlackBuild
@@ -0,0 +1,96 @@
+#!/bin/sh
+
+# Slackware build script for glfw3
+
+# Copyright 2015 Jeffrey T. Read <bitwize@gmail.com> USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=glfw3
+OLDPRGNAM=glfw
+VERSION=${VERSION:-3.1.1}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $OLDPRGNAM-$VERSION
+unzip $CWD/$OLDPRGNAM-$VERSION.zip
+cd $OLDPRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+cmake -DCMAKE_INSTALL_PREFIX:PATH=$PKG/usr -DLIB_SUFFIX=$LIBDIRSUFFIX -DBUILD_SHARED_LIBS=1 .
+
+make all
+make install
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+find $PKG -name perllocal.pod \
+ -o -name ".packlist" \
+ -o -name "*.bs" \
+ | xargs rm -f
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a docs/*.dox docs/*.xml docs/*.svg docs/*.in docs/*.css docs/html $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/libraries/glfw3/glfw3.info b/libraries/glfw3/glfw3.info
new file mode 100644
index 0000000000..5af8b4292f
--- /dev/null
+++ b/libraries/glfw3/glfw3.info
@@ -0,0 +1,10 @@
+PRGNAM="glfw3"
+VERSION="3.1.1"
+HOMEPAGE="http://www.glfw.org"
+DOWNLOAD="https://github.com/glfw/glfw/releases/download/3.1.1/glfw-3.1.1.zip"
+MD5SUM="7d810be356637ff30a7a9ea9c1e1992d"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Jeffrey T. Read"
+EMAIL="bitwize@gmail.com"
diff --git a/libraries/glfw3/slack-desc b/libraries/glfw3/slack-desc
new file mode 100644
index 0000000000..a149a7e4ba
--- /dev/null
+++ b/libraries/glfw3/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+glfw3: GLFW 3 (OpenGL framework)
+glfw3:
+glfw3: GLFW is a free, Open Source, multi-platform library for opening a
+glfw3: window, creating an OpenGL context and managing input. It is easy to
+glfw3: integrate into existing applications and does not lay claim to the
+glfw3: main loop.
+glfw3:
+glfw3: GLFW is written in C and has native support for Windows, Mac OS X and
+glfw3: many Unix-like systems using the X Window System, such as Linux and
+glfw3: FreeBSD.
+glfw3: This is version 3 of GLFW with an incompatible API to GLFW 2.